<?php echo $header; ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } 
////////////
//this template has been updated to conform to the new look and feel of version 1.4.9

?>
<div class="box">
  <div class="left"></div>
  <div class="right"></div>
  <div class="heading">
    <h1 style="background-image: url('view/image/payment.png');"><?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
      <div id="tab_general" class="page">
        <table class="form">
          <tr>
            <td width="25%"><span class="required">*</span> <?php echo $entry_merchant; ?></td>
            <td><input type="text" name="payflowlink_merchant" value="<?php echo $payflowlink_merchant; ?>" />
              <br />
              <?php if ($error_merchant) { ?>
              <span class="error"><?php echo $error_merchant; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_partner; ?></td>
            <td><input type="text" name="payflowlink_partner" value="<?php echo $payflowlink_partner; ?>" />
              <br />
              <?php if ($error_partner) { ?>
              <span class="error"><?php echo $error_partner; ?></span>
              <?php } ?></td>
          </tr>
<?php
////////////
//updated to allow for the use of CSC when using PayFlow Link
//
?>		  
          <tr>
            <td><?php echo $entry_CSC; ?></td>
            <td><select name="payflowlink_CSC">
                <?php if ($payflowlink_CSC) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
          </tr>

          <tr>
            <td><?php echo $entry_geo_zone; ?></td>
            <td><select name="payflowlink_geo_zone_id">
                <option value="0"><?php echo $text_all_zones; ?></option>
                <?php foreach ($geo_zones as $geo_zone) { ?>
                <?php if ($geo_zone['geo_zone_id'] == $payflowlink_geo_zone_id) { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_status; ?></td>
            <td><select name="payflowlink_status">
                <?php if ($payflowlink_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_sort_order; ?></td>
            <td><input type="text" name="payflowlink_sort_order" value="<?php echo $payflowlink_sort_order; ?>" size="1" /></td>
          </tr>
        </table>
      </div>
    </form>
    <script type="text/javascript"><!--
    $.tabs('.tabs a'); 
    //--></script>
  </div>
</div>
<?php echo $footer; ?>
